<style>
.img-list {
    margin: 0;
    padding: 0;
    list-style-type: none;
}

.img-list li {
    padding: 5px;
    overflow: auto;
}

.img-list li:hover {
    background-color: #eee;
}

.img-list li a {
    color: initial;
    text-decoration: none;
    display: block;
}

.img-list li img {
    width: 10%;
    float: left;
    margin: 0 15px 0 0;
    background: white;
    object-fit: scale-down;
}

.img-list li img.default-img {
    max-height: 5ex;
    background-color: var(--gs-primary-color);
    padding: 5px;
}

.img-list li .desc {
    margin: 0px;
}

.img-list li .name {
    margin: 5px;
    display: block;
    color: #409940;
    font-weight: bold;
    font-style: italic;
}
</style>
Go to <a href="miscellaneousintro.html">miscellaneous introduction</a> | <a href="topics.html">topics</a> <p>
# Miscellaneous tools
<ul class="img-list"><li><a href="m.cogo.html"><img class="default-img" src="grass_logo.svg"></a><a href="m.cogo.html"><span class="name">m.cogo</span> <span class="desc">It assumes a cartesian coordinate system</span></a></li><li><a href="m.measure.html"><img class="linkimg" src="m_measure_distance.png"></a><a href="m.measure.html"><span class="name">m.measure</span> <span class="desc">Measures the lengths and areas of features.</span></a></li><li><a href="m.nviz.image.html"><img class="default-img" src="grass_logo.svg"></a><a href="m.nviz.image.html"><span class="name">m.nviz.image</span> <span class="desc">Renders surfaces (raster data), 2D/3D vector data, and volumes (3D raster data) in 3D.</span></a></li><li><a href="m.nviz.script.html"><img class="default-img" src="grass_logo.svg"></a><a href="m.nviz.script.html"><span class="name">m.nviz.script</span> <span class="desc">Creates fly-through script to run in NVIZ.</span></a></li><li><a href="m.proj.html"><img class="default-img" src="grass_logo.svg"></a><a href="m.proj.html"><span class="name">m.proj</span> <span class="desc">Converts coordinates from one projection to another (cs2cs frontend).</span></a></li><li><a href="m.transform.html"><img class="default-img" src="grass_logo.svg"></a><a href="m.transform.html"><span class="name">m.transform</span> <span class="desc">Computes a coordinate transformation based on the control points.</span></a></li></ul>